OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ConversionBasedUnitAndTimeUnit Class Reference

`#include <StepBasic_ConversionBasedUnitAndTimeUnit.hxx>`

Inheritance diagram for StepBasic_ConversionBasedUnitAndTimeUnit:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_ConversionBasedUnitAndTimeUnit ()
| Returns a ConversionBasedUnitAndTimeUnit .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions, const Handle(TCollection_HAsciiString)&aName, const Handle(StepBasic_MeasureWithUnit)&aConversionFactor)
Standard_EXPORT void | SetTimeUnit (const Handle(StepBasic_TimeUnit)&aTimeUnit)
Standard_EXPORT Handle_StepBasic_TimeUnit | TimeUnit () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_TimeUnit | timeUnit

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ConversionBasedUnitAndTimeUnit::StepBasic_ConversionBasedUnitAndTimeUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_ConversionBasedUnitAndTimeUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ConversionBasedUnit.

virtual Standard_EXPORT void StepBasic_ConversionBasedUnitAndTimeUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepBasic_MeasureWithUnit)& | aConversionFactor
| ) | `[virtual]`

| Reimplemented from StepBasic_ConversionBasedUnit.

virtual Standard_EXPORT void StepBasic_ConversionBasedUnitAndTimeUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented from StepBasic_ConversionBasedUnit.

Standard_EXPORT void StepBasic_ConversionBasedUnitAndTimeUnit::SetTimeUnit | ( | const Handle(StepBasic_TimeUnit)& | aTimeUnit | ) |

Standard_EXPORT Handle_StepBasic_TimeUnit StepBasic_ConversionBasedUnitAndTimeUnit::TimeUnit | ( |  | ) | const

## Field Documentation

Handle_StepBasic_TimeUnit StepBasic_ConversionBasedUnitAndTimeUnit::timeUnit`[private]`

The documentation for this class was generated from the following file:

- StepBasic_ConversionBasedUnitAndTimeUnit.hxx